oracle.adf.view.rich.remote

## Class RemoteApplicationInstanceRaw

- java.lang.Object
- - oracle.adf.view.rich.remote.RemoteApplication
  - - oracle.adf.view.rich.remote.RemoteApplicationInstance
    - - oracle.adf.view.rich.remote.RemoteApplicationInstanceRaw

- All Implemented Interfaces:
    Serializable

      public class RemoteApplicationInstanceRaw
      extends RemoteApplicationInstance

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RemoteApplicationInstanceRaw(URI uri)` Constructor from the superclass

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getSubSessionId()` Returns the instance's sub-session id.

    - ### Methods inherited from class oracle.adf.view.rich.remote.RemoteApplicationInstance

      `addAllCookies, clearCookies, getCookies`

    - ### Methods inherited from class oracle.adf.view.rich.remote.RemoteApplication

      `equals, getLock, getRemoteApplication, getSessionCookie, getSessionId, getURI, hashCode, invalidate, setSessionCookie, setSessionId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RemoteApplicationInstanceRaw

          public RemoteApplicationInstanceRaw(URI uri)

      Constructor from the superclass
      Parameters:
        `uri` - Yje URI to the remote application.
      Throws:
        `NullPointerException` - if uri is null

  - ### Method Detail

    - #### getSubSessionId

          public String getSubSessionId()

      Returns the instance's sub-session id. For any particular session on a server, there will be many subsessions (one for each RemoteRegion on the page). This Subsession id represents the id that will be used to keep the session data seperate. When a getSessionId is performed on the remote task flow, this is the id that is returned.
      Specified by:
        `getSubSessionId` in class `RemoteApplicationInstance`
      Returns:
        a String containing the instance's subsession id

Copyright (c) 1998, 2018, Oracle and/or its affiliates. All rights reserved.